Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.107. setmovesequence_int(p_new_set_id integer, p_seq_id integer)

Function Properties

Language: PLPGSQL

Return Type: integer

setMoveSequence_int(p_seq_id, p_new_set_id) - processes the SET_MOVE_SEQUENCE event, moving a sequence to another replication set.

    begin
    	-- ----
    	-- Grab the central configuration lock
    	-- ----
    	lock table sl_config_lock;

    	-- ----
    	-- Move the sequence to the new set
    	-- ----
    	update sl_sequence
    			set seq_set = p_new_set_id
    			where seq_id = p_seq_id;

    	return p_seq_id;
    end;

Prev | Home | Next
setmovesequence(p_new_set_id integer, p_seq_id integer) | Up | setmovetable(p_new_set_id integer, p_tab_id integer)